ZIP_SOURCE_WRITE(3) | Library Functions Manual | ZIP_SOURCE_WRITE(3)

# NAME

`zip_source_write` — write data to zip source

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int64_t
`zip_source_write`(zip_source_t *source, const void *data, zip_uint64_t len);

# DESCRIPTION

The function `zip_source_write`() writes len bytes from the buffer data to the zip source source at the current write offset.

The zip source source has to be prepared for writing by calling zip_source_begin_write(3) first.

# RETURN VALUES

Upon successful completion the number of bytes written is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

# SEE ALSO

libzip(3), zip_source(5), zip_source_begin_write(3), zip_source_commit_write(3), zip_source_rollback_write(3), zip_source_seek_write(3), zip_source_tell_write(3)

# HISTORY

`zip_source_write`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH